Update a webhook endpoint
PATCH
/v1/webhooks/{webhook_id}
curl -X PATCH "https://us1.platform.bird.com/v1/webhooks/{webhook_id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Updates one or more fields on the webhook endpoint. All fields are optional. Setting status to "active" re-enables a paused endpoint.
请求载荷
url
string
New HTTPS URL to deliver events to.
description
string
Human-readable label for this endpoint.
events
array of string
Replacement set of event type subscriptions.
status
string
Set to "active" to re-enable a paused endpoint, or "paused" to stop delivery.
响应载荷
id
string
必填
url
string
必填
description
string
events
array of string
必填
Concrete event types this endpoint is subscribed to.
status
string
必填
created_at
string
必填
updated_at
string
必填